WinShopAPI docs
ReferenceProduct

Get one supplier's terms

Returns one supplier's purchasing terms for this product. 404 when it does not belong to `productId`. Requires `Permissions.Product.View`.

GET
/api/products/{productId}/suppliers-infos/{supplierInfoId}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

productId*integer
Formatint32
supplierInfoId*integer
Formatint32

Response Body

application/json
  1. response

One supplier's purchasing terms for a product, such as purchase price and lead time.

countryOfDispatch?|
Formatint32
deliveryTime?|
Formatint32
guid?|
Formatguid
id?|
Formatint32
isMain?boolean|null
lastModify?|
Formatdate-time
lastPurchasePrice?|
Formatdecimal
lastPurchasePriceCurrencyId?|
Formatint32
lastPurchasePriceForeignCurrency?|
Formatdecimal
minQuantityToOrder?|
Formatdecimal
minimalShelfLife?|
Formatint32
productId?integer
Formatint32
productName?|
Lengthlength <= 80
promoFromDate?|
Formatdate-time
promoPurchasePrice?|
Formatdecimal
promoPurchasePriceForeignCurrency?|
Formatdecimal
promoPurchasePriceForeignCurrencyId?|
Formatint32
promoToDate?|
Formatdate-time
shelfLife?|
Formatint32
supplierId?|
Formatint32
supplierProductCode?|
Lengthlength <= 50
unitId?|
Formatint32
unitsInPackage?|
Formatdecimal
warranty?|
Formatint32
curl -X GET 'https://<your-instance>/api/products/0/suppliers-infos/0' \  -H 'Authorization: Bearer <access-token>'
{  "countryOfDispatch": 0,  "deliveryTime": 0,  "guid": "string",  "id": 0,  "isMain": true,  "lastModify": "2019-08-24T14:15:22Z",  "lastPurchasePrice": 0,  "lastPurchasePriceCurrencyId": 0,  "lastPurchasePriceForeignCurrency": 0,  "minQuantityToOrder": 0,  "minimalShelfLife": 0,  "productId": 0,  "productName": "string",  "promoFromDate": "2019-08-24T14:15:22Z",  "promoPurchasePrice": 0,  "promoPurchasePriceForeignCurrency": 0,  "promoPurchasePriceForeignCurrencyId": 0,  "promoToDate": "2019-08-24T14:15:22Z",  "shelfLife": 0,  "supplierId": 0,  "supplierProductCode": "string",  "unitId": 0,  "unitsInPackage": 0,  "warranty": 0}